> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reject a pending resource

> Reject a pending-review resource.

Sets the resource status to SKIPPED so it will not be indexed.
Fires a rejection notification.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /memories/reject/{source}/{resource_id}
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /memories/reject/{source}/{resource_id}:
    post:
      tags:
        - Memories
      summary: Reject a pending resource
      description: |-
        Reject a pending-review resource.

        Sets the resource status to SKIPPED so it will not be indexed.
        Fires a rejection notification.
      operationId: reject_memory_memories_reject__source___resource_id__post
      parameters:
        - name: source
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/DocumentProviders'
        - name: resource_id
          in: path
          required: true
          schema:
            type: string
            title: Resource Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReviewActionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    DocumentProviders:
      type: string
      enum:
        - reddit
        - notion
        - slack
        - google_calendar
        - google_mail
        - box
        - dropbox
        - github
        - google_drive
        - vault
        - web_crawler
        - trace
        - microsoft_teams
        - gmail_actions
        - granola
        - fathom
        - fireflies
        - linear
        - hubspot
        - salesforce
        - coda
        - lightfield
        - gong
        - pylon
        - clickup
      title: DocumentProviders
    ReviewActionResponse:
      properties:
        resource_id:
          type: string
          title: Resource Id
        source:
          $ref: '#/components/schemas/DocumentProviders'
        status:
          $ref: '#/components/schemas/DocumentStatus'
      type: object
      required:
        - resource_id
        - source
        - status
      title: ReviewActionResponse
      description: Response after approving or rejecting a resource.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentStatus:
      type: string
      enum:
        - pending
        - processing
        - completed
        - failed
        - pending_review
        - skipped
      title: DocumentStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````